<?php
// http://docs.slimframework.com/
// http://docs.slimframework.com/view/rendering/
// http://docs.slimframework.com/routing/rewrite/

require 'Slim/Slim.php';

\Slim\Slim::registerAutoloader();
 
$app = new \Slim\Slim();

$app->config(array(
    'debug' => true,
    'templates.path' => './'
));

// http://localhost/frontac24/modules/api/hello.php/hello/world
$app->get('/hello/:name', function ($name) use ($app) {
	$lf = '<br>'.chr(10);
    echo "Hello, $name! Welcome to Slim Framework" . $lf;
	echo $app->config('templates.path') . $lf;
});

// http://localhost/frontac24/modules/api/hello.php/hello/world/okay
$app->get('/hello/:name/:stat', function ($name, $a) {
	$lf = '<br>'.chr(10);
    echo "Hello, $name! Welcome to Slim Framework" . $lf;
	echo $a . $lf;
	$app = \Slim\Slim::getInstance();
	echo $app->config('templates.path') . $lf;
});

// http://localhost/frontac24/modules/api/hello.php/foo/apple
$app->get('/foo/:id', 'foo');
function foo($id) {
    $app = \Slim\Slim::getInstance();
    $app->render('foo.php', array('id' => $id));
}

$app->run();
 
?>